<?php
/*
 * content/LoadList.class.php
 * 
 * CopyRight(C) 2010 Shopformer Development Team. All Right Reserved
 * URL: http://sourceforge.jp/projects/shopformer/
 * 
 * 
 * Mail: m_nakashima@users.sourceforge.jp
 * Auther: Masanori Nakashima
 * Last Update: 2010-06-18
 * 
 * content_PackageConfig
 * ver 1.0.00 build on 2010-04-13
 * 
 * [変更履歴]
 * 2010-07-23
 * 除外フォルダ機能追加
 * ページ追加・編集機能追加
 * サイト変数機能追加
 */
require_once(dirname(__FILE__).DIRECTORY_SEPARATOR.'package_define.inc.php');
require_once(dirname(dirname(__FILE__))
	.DIRECTORY_SEPARATOR.'system'
	.DIRECTORY_SEPARATOR.'package'
	.DIRECTORY_SEPARATOR.'PackageConfigBase.class.php' );
require_once(dirname(dirname(__FILE__))
	.DIRECTORY_SEPARATOR.'system'
	.DIRECTORY_SEPARATOR.'DataFileWriter.class.php' );
if( file_exists(DIR_PATH_DATA.DIRECTORY_SEPARATOR.'content.define.inc.php') ) {
	require_once(DIR_PATH_DATA.DIRECTORY_SEPARATOR.'content.define.inc.php');
}
/**
 * コンテンツ操作パッケージ基本情報保持クラス
 * 
 * - 概要
 *   サーバー上のコンテンツファイルを管理パネルで操作するインターフェースを提供する
 *   パッケージです。
 * - バージョン
 *   1.0
 * - 対応データベース
 *   不要
 * - パッケージの詳細
 *   サーバー上のコンテンツファイルを管理パネルで操作するインターフェースを提供する
 *   パッケージです。
 * 
 * @package content コンテンツパッケージ
 * @version 1.1.00
 * @author  <m_nakashima@users.sourceforge.jp>
 * @since PHP 4.3
 * 
 */
class content_PackageConfig extends system_package_PackageConfigBase {
	function content_PackageConfig() {
		$this->definitionHash			= array(
			'CONTENT_EXPECT_FOLDERS'	=> '',
		);
	}
	/**
	 * パッケージの表示順序を取得
	 * @return int パッケージ順序
	 */
	function getPackageOrder() {
		return 1;
	}
	/**
	 * パッケージの表示名を取得
	 * @return string パッケージ名称
	 */
	function getPackageViewName() {
		return 'コンテンツ管理';
	}
	/**
	 * パッケージ概要説明を取得します。
	 */
	function getPackageDescription() {
		return '管理パネルから画像やCSS,JSファイルのアップロードやシステムが管理しているページのHTML編集をおこないます。';
	}
	/**
	 * パッケージ依存関係のハッシュを取得
	 * @return hash array('packageId'=>array('version','version',...))
	 */
	function getPackageDependenciesHash() {
		return array(
			'system'	=> array('1.2.00'),
		);
	}
	/**
	 * インストールを実行します。
	 */
	function install( & $request ) {
		return parent::install( $request );
	}
	/*
	 * アンインストール関連メソッド
	 */
	/**
	 * アンインストールを実行します。
	 */
	function uninstall( & $request ) {
		return parent::uninstall( $request );
	}
}
?>